## debian-faq 5.0.2ubuntu1

=== Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := en
currentlangcn := $(shell echo $(currentlang) | tr A-Z a-z | tr - _)

# this can and will be overridden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)

langs ?= ru pt_BR it pl es fr de uk zh_CN

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: po4a-translate html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
# possible non-POSIX syntax below. fuck POSIX.
	cd $(PUBLISHDIR)/$(manual) && for file in *.en.html; do \
          ln -sf $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)
	ln -sf $(manual).en.txt $(PUBLISHDIR)/$(manual)/$(manual).txt
	ln -sf $(manual).en.ps $(PUBLISHDIR)/$(manual)/$(manual).ps
	ln -sf $(manual).en.pdf $(PUBLISHDIR)/$(manual)/$(manual).pdf
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

faqdynamic.ent:
	echo "<!entity docdate \"$(shell LC_ALL=C date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

update-po: faqdynamic.ent
	po4a --force --previous --no-translations --rm-backups po4a/po4a.cfg

po4a-translate: faqdynamic.ent
	po4a --keep 0 --previous --rm-backups po4a/po4a.cfg # --localized-charset UTF-8
	sed -i 's/<.*heading>//g' fr/*sgml

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
	rm -f *.tmp
	rm -f $(manual)*.{txt,ps,pdf}.gz
	rm -f faqdynamic.ent *~ .*~ core tsa*
	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done

.PHONY: all publish clean distclean validate update-po po4a-translate

=== de/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := $(notdir $(CURDIR))
currentlangcn := $(subst _,-,$(shell echo $(currentlang) | tr A-Z a-z))

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent ../faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)

faqstatic.ent:
	ln -sf ../$@ .

../faqdynamic.ent:
	cd .. && $(MAKE) faqdynamic.ent

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f *~ .*~ core tsa* head.tmp body.tmp $(manual).tpt

.PHONY: all publish clean distclean validate

=== fr/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := $(notdir $(CURDIR))
currentlangcn := $(subst _,-,$(shell echo $(currentlang) | tr A-Z a-z))

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent ../faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)

faqstatic.ent:
	ln -sf ../$@ .

../faqdynamic.ent:
	cd .. && $(MAKE) faqdynamic.ent

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*
	rm -f *~ .*~ core tsa*

.PHONY: all publish clean distclean validate

=== ru/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := $(notdir $(CURDIR))
currentlangcn := $(subst _,-,$(shell echo $(currentlang) | tr A-Z a-z))

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent ../faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)

faqstatic.ent:
	ln -sf ../$@ .

../faqdynamic.ent:
	cd .. && $(MAKE) faqdynamic.ent

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -C -l $(currentlang).UTF-8 $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang).UTF-8 $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang).UTF-8 $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang).UTF-8 $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*
	rm -f *~ .*~ core tsa*

.PHONY: all publish clean distclean validate

=== zh_CN/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := $(notdir $(CURDIR))
currentlangcn := $(subst _,-,$(shell echo $(currentlang) | tr A-Z a-z))

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent ../faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)

faqstatic.ent:
	ln -sf ../$@ .

../faqdynamic.ent:
	cd .. && $(MAKE) faqdynamic.ent

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f *~ .*~ core tsa*
	rm -f *.tpt *.ent

.PHONY: all publish clean distclean validate

=== debian/changelog ===
debian-faq (5.0.2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - ebian/rules: Don't add "byhand" files as soyuz doesn't support them
      (fixes a "Failed to upload" error).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 17 Jun 2013 18:33:18 +0530

debian-faq (5.0.2) unstable; urgency=low

  [ Changes by Javier Fernández-Sanguino ]
  * faqstatic.ent: Update the information for the Wheezy release
  * compat.sgml: 
       - Update the status of ports based on http://www.debian.org/ports/
       - Add the new architectures supported in Wheezy
  * ftparchives.sgml:
       - List Jessie as one of the used names
       - Document why unstable freezes also when testing is frozen 
       - Describe Release Critical bugs and their impact on release
  * debian-faq.sgml: Update copyright date (Closes: #667003)
  * Translation updates: 
       - Italian, provided by Beatrice Torracca
       - French, provided by Simon Paillard

  [ Changes by David Prévot ]
  * Update Russian translation, thanks to Yuri Kozlov (Closes: #681104, #710303)
  * Fix typos spotted by Adam D. Barratt

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 02 Jun 2013 01:20:22 +0200

=== debian/control ===
Source: debian-faq
Section: doc
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>, 
 Joost van Baal <joostvb@debian.org>, Simon Paillard <spaillard@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: debiandoc-sgml, texlive (>= 2007-11), texlive-latex-extra,
 texlive-lang-cyrillic, latex-cjk-chinese,
 latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-bsmi00lp,
 latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp,
 ghostscript, po4a
Standards-Version: 3.9.3
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/debian-faq/
Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/debian-faq/
Homepage: http://www.debian.org/doc/user-manuals#faq

Package: debian-faq
Priority: standard
Architecture: all
Suggests: www-browser, postscript-viewer
Depends: ${misc:Depends}
Conflicts: doc-debian (<= 3.1.5)
Description: Debian FAQ
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 This document is available at http://www.debian.org/doc/manuals/debian-faq/
 as well as from the Debian ftp server at ftp://ftp.debian.org/debian/doc/FAQ
 and mirrors thereof.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 If you're new to Debian, and like to read documentation from your local system,
 without using the network, install this package.

Package: debian-faq-de
Priority: optional
Architecture: all
Suggests: www-browser, postscript-viewer
Depends: ${misc:Depends}
Description: Debian FAQ, in German
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in German of the original English FAQ (available in the
 package debian-faq.)

Package: debian-faq-fr
Priority: optional
Architecture: all
Suggests: www-browser, postscript-viewer
Depends: ${misc:Depends}
Description: Debian FAQ, in French
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in French of the original English FAQ (available in the
 package debian-faq.)


Package: debian-faq-it
Priority: optional
Architecture: all
Suggests: www-browser, postscript-viewer
Depends: ${misc:Depends}
Description: Debian FAQ, in Italian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Italian of the original English FAQ (available in
 the package debian-faq.)


Package: debian-faq-ru
Priority: optional
Architecture: all
Suggests: www-browser, postscript-viewer
Depends: ${misc:Depends}
Description: Debian FAQ, in Russian
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Russian of the original English FAQ (available in
 the package debian-faq.)


Package: debian-faq-zh-cn
Priority: optional
Architecture: all
Suggests: www-browser, postscript-viewer
Depends: ${misc:Depends}
Description: Debian FAQ, in Chinese
 In this package you will find the Debian GNU/Linux FAQ, which gives
 frequently asked questions (with their answers!) about the Debian distribution
 (Debian GNU/Linux and others) and about the Debian project.
 Some answers assume some knowledge of Unix-like operating systems.
 However, as little prior knowledge as possible is assumed: answers to general
 beginners questions will be kept simple.
 .
 The document is supplied in HTML, PDF, PostScript and plain text.
 .
 This is the translation in Chinese (as spoken in China) of the original English
 FAQ (available in the package debian-faq.)

# $Id: control 9147 2012-03-17 17:11:44Z taffit $
# $URL: svn+ssh://svn.debian.org/svn/ddp/manuals/trunk/debian-faq/debian/control $

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(CURDIR)/debian/tmp
docdir = $(tmp)/usr/share/doc/debian
basedir = $(CURDIR)/debian/debian-faq
installdir = $(basedir)/usr/share/doc/debian

langs = de fr it ru zh_CN

build: build-arch build-indep
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	test -f Makefile -a -f debian/rules
	$(MAKE) po4a-translate html text ps pdf langs="$(langs)"
	gzip -9 debian-faq.en.txt debian-faq.en.ps debian-faq.en.pdf
	for l in $(langs); do \
          gzip -9 $$l/debian-faq.$$l.txt $$l/debian-faq.$$l.ps \
           $$l/debian-faq.$$l.pdf; \
        done
	touch $@

clean:
	test -f Makefile -a -f debian/rules
	test "`id -u`" -eq 0
	$(MAKE) clean
	rm -rf $(tmp)
	rm -f *.gz stamp-build debian/files `find . -name "*~"`
	dh_clean

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -f Makefile -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	dh_clean -k

	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
          $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/debian-faq \
          $(installdir)/FAQ $(basedir)/usr/share/doc-base \
          $(basedir)/usr/share/doc/debian-faq
	install -m 644 debian-faq.en.txt.gz debian-faq.en.ps.gz \
                    debian-faq.en.pdf.gz debian-faq.en.html/* $(installdir)/FAQ

	for l in $(langs); do \
          install -m 755 -d $(docdir)/FAQ/$$l; \
          install -m 644 $$l/debian-faq.$$l.txt.gz $$l/debian-faq.$$l.ps.gz \
           $$l/debian-faq.$$l.pdf.gz $(docdir)/FAQ; \
          install -m 644 $$l/debian-faq.$$l.html/* $(docdir)/FAQ/$$l/; \
        done

	cd $(installdir)/FAQ && for file in *.en.html; do \
          ln -s $$file $${file%$${file#$${file%.en.html}}}.html; \
        done
# Make links for the byhands
	ln -sf debian-faq.en.txt.gz $(installdir)/FAQ/debian-faq.txt.gz
	ln -sf debian-faq.en.ps.gz $(installdir)/FAQ/debian-faq.ps.gz
	ln -sf debian-faq.en.pdf.gz $(installdir)/FAQ/debian-faq.pdf.gz
	ln -sf debian-faq.en.pdf.gz $(installdir)/FAQ/debian-faq.pdf.gz

	dh_installdocs
	dh_installchangelogs
	dh_installdirs --all
	dh_install --sourcedir=$(tmp)
	dh_compress --all
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# The extra-package files:
	mv $(installdir)/FAQ/debian-faq.*txt.gz \
           $(installdir)/FAQ/debian-faq.*ps.gz \
           $(installdir)/FAQ/debian-faq.*pdf.gz \
             ../
	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *

.PHONY: build clean binary binary-arch binary-indep

## debian-faq 5.0.3

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 sources := $(manual).sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)
 
-langs ?= ru pt_BR it pl es fr de uk zh_CN
+langs ?= ru pt_BR it pl es fr de uk zh_CN ja
 
 export LANG=C
 # stupid debiandoc stuff uses strings in another language otherwise
@@ -44,10 +44,10 @@
         fi
 
 update-po: faqdynamic.ent
-	po4a --force --previous --no-translations --rm-backups po4a/po4a.cfg
+	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a --force --previous --no-translations --rm-backups po4a/po4a.cfg
 
 po4a-translate: faqdynamic.ent
-	po4a --keep 0 --previous --rm-backups po4a/po4a.cfg # --localized-charset UTF-8
+	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a --keep 0 --previous --rm-backups po4a/po4a.cfg # --localized-charset UTF-8
 	sed -i 's/<.*heading>//g' fr/*sgml
 
 validate:
@@ -80,12 +80,14 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done
 
-clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
-	rm -f $(manual)*.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,out,tpt,sasp*}
-	rm -f *.tmp
-	rm -f $(manual)*.{txt,ps,pdf}.gz
-	rm -f faqdynamic.ent *~ .*~ core tsa*
+clean distclean: cleanup
 	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done
 
-.PHONY: all publish clean distclean validate update-po po4a-translate
+cleanup:
+	rm -rf $(manual)*.$(currentlang).html
+	rm -f $(patsubst %,$(manual)*.%,txt ps dvi pdf info* aux log man tex toc out tpt sasp*)
+	rm -f $(patsubst %,$(manual)*.%.gz,txt ps pdf)
+	rm -f faqdynamic.ent *~ .*~ core tsa* *.tmp $(manual).tpt
+	[ ! -h faqstatic.ent ] || rm faqstatic.ent
+
+.PHONY: all publish clean cleanup distclean validate update-po po4a-translate

=== debian/changelog ===
debian-faq (5.0.3) unstable; urgency=low

  [ Simon Paillard ]
  * Fix typo in French translation, thanks Filipus Klutiero (Closes: #721684)

  [ David Prévot ]
  * Workaround #725931 (po4a became disrespectful about tag order)
    (Closes: #725586)

  [ Joost van Baal-Ilić ]
  * Remove section on package termcap-compat: not shipped any more since 2005.
    Thanks to Joseph Lenox (Closes: #714387)
  * "Debian Developer" is not "Debian developer", refer to
    http://www.debian.org/intro/help (Closes: #721207)
    
  [ Javier Fernández-Sanguino ]
  * Acknowledge NMU (Closes: #765072, #725586, #765073)
  * uptodate.sgml: Change aptitude dist-upgrade to full-upgrade 
    (Closes: #684003)
  * faqstatic.ent: Change release number to just '7'. The release numbering
    scheme changed in wheezy, release is now only the major number only.
    (Closes: #721685)
  * basic_defs.sgml: Change 'cooperative statement' and replace with the
    definition used in https://www.debian.org/intro/about.en.html#what (Closes: #452387)
  * uptodate.sgml, pkgtools.sgml: Reorder content: move description of tools
    to the package tools section.  Merge the two sections that describe
    aptitude as they provide redundant content (9.1.1 and 9.1.3) 
    (Closes: #548453)
  * pkgtools.sgml: Add quotes in wildcard example (Closes:  #692895)
  * choosing.sgml: 
      - Try to improve the text and provide more neutral advice on choosing a
        given suite (Closes: #721112)
      - Fix typos reported by David Richfield (Closes: #503897)
  * contrib.sgml: 
        - Rewrite the donation content, removed the FSF, adapted SPI content
          and included information from other (trusted) organizations 
          (Closes: 721281)
        - Review description of how the new testing release is formed is
          incorrect and when testing is considered 'releasable' 
          (Closes: 724039)
  * customizing.sgml: 
        - Document that rc.local exists, but indicate other ways to customise
          the boot process anyway (Closes: #500447)
        - Small update to section 11.5, add reference to insserv and startpar,
          as well as a footnote regarding systemd. Note that invoke-rc.d
          should not be used (Closes: #662206)
  * software.sgml:  Update the information on how to find the version and the
    distribution running, using lsb_release (Closes: #761584)
  * debian/control: 
    - Update Standards version
    - Update maintainer's name to use UTF-8
    - Do not use the FAQ acronym in the packages' description (lintian error fix)
  * debian/rules: 
    - Use dh_testroot instead of testing manually
    - Replace dh_clean -k with dh_prep

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Wed, 15 Oct 2014 22:43:52 +0200

debian-faq (5.0.2+nmu1) unstable; urgency=low

  * NMU - fix RC bugs preventing package from entering jessie.
  * Fix build problem: No candidate position for the addendum.
    (Closes: #725586).
  * Remove bash'isms from Makefile:clean so rebuilding after
    a "make clean" works. The language Makefiles now call the
    cleanup target in the main Makefile instead of duplicating
    the code across all Makefiles. (Closes: #765073)
  * Add textlive-lang-* dependencies so it will build with pbuilder. 
    (Closes: #765072)

 -- Russell Stuart <russell-debian@stuart.id.au>  Mon, 13 Oct 2014 15:41:10 +1000

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,8 @@
 
 clean:
 	test -f Makefile -a -f debian/rules
-	test "`id -u`" -eq 0
+	dh_testroot
 	$(MAKE) clean
-	rm -rf $(tmp)
 	rm -f *.gz stamp-build debian/files `find . -name "*~"`
 	dh_clean
 
@@ -35,10 +34,8 @@
 
 binary-indep: build
 	test -f Makefile -a -f debian/rules
-	test "`id -u`" -eq 0
-	rm -rf $(tmp)
-
-	dh_clean -k
+	dh_testroot
+	dh_prep
 
 	install -m 755 -d $(tmp)/DEBIAN $(docdir)/FAQ \
           $(tmp)/usr/share/doc-base $(tmp)/usr/share/doc/debian-faq \
@@ -81,4 +78,10 @@
              ../
 	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
 
+# list them in the .changes file, so that they'll get uploaded properly:
+	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
+	dpkg-distaddfile debian-faq.en.txt.gz byhand -
+	dpkg-distaddfile debian-faq.en.ps.gz byhand -
+	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
+
 .PHONY: build clean binary binary-arch binary-indep

## debian-faq 5.0.3ubuntu1

=== debian/changelog ===
debian-faq (5.0.3ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Don't add "byhand" files as LP buildd's doesn't 
      support them (fixes a "Failed to upload" error).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 15 Nov 2014 13:19:25 +0530

## debian-faq 8.0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a --keep 0 --previous --rm-backups po4a/po4a.cfg # --localized-charset UTF-8
 	sed -i 's/<.*heading>//g' fr/*sgml
 
-validate:
+validate: faqdynamic.ent
 	nsgmls -ges -wall $(manual).sgml
 
 html: $(manual).$(currentlang).html/index.$(currentlangcn).html

=== fr/Makefile ===
--- 
+++ 
@@ -57,8 +57,7 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 	rm -f $(manual)*
-	rm -f *~ .*~ core tsa*
 
 .PHONY: all publish clean distclean validate

=== it/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := $(notdir $(CURDIR))
currentlangcn := $(subst _,-,$(shell echo $(currentlang) | tr A-Z a-z))

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent ../faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)

faqstatic.ent:
	ln -sf ../$@ .

../faqdynamic.ent:
	cd .. && $(MAKE) faqdynamic.ent

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -C -l $(currentlang).UTF-8 $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang).UTF-8 $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang).UTF-8 $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang).UTF-8 $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%

clean distclean:
	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
	rm -f $(manual)*.sgml

.PHONY: all publish clean distclean validate

=== ja/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.
#
# text: routine is based on maint-guide's Makefile
# as the debiandoc2text breaks heading text (#684276)

manual := debian-faq

currentlang := $(notdir $(CURDIR))
currentlangcn := $(subst _,-,$(shell echo $(currentlang) | tr A-Z a-z))

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent ../faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)

faqstatic.ent:
	ln -sf ../$@ .

../faqdynamic.ent:
	cd .. && $(MAKE) faqdynamic.ent

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -C -l $(currentlang).UTF-8 $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
$(manual).$(currentlang).txt: $(sources)
	debiandoc2html -1 -l ja.utf-8 debian-faq.sgml
	perl kinsoku.txt
	rm -rf debian-faq.html
	w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html debian-faq-temp.html > debian-faq.ja.txt
	rm -f debian-faq-temp.html

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang).UTF-8 $<

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang).UTF-8 $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%

clean distclean:
	rm -rf $(manual)*.$(currentlang).html
	rm -rf $(manual)*.html
	rm -f $(manual)*
	rm -f *~ .*~ core tsa* *.aux
	rm -f debian-faq-temp.html faqstatic.ent

.PHONY: all publish clean distclean validate

=== ru/Makefile ===
--- 
+++ 
@@ -57,8 +57,7 @@
 ps dvi pdf info: %: $(manual).$(currentlang).%
 
 clean distclean:
-	rm -rf $(manual)*.$(currentlang).html
+	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup
 	rm -f $(manual)*
-	rm -f *~ .*~ core tsa*
 
 .PHONY: all publish clean distclean validate

=== uk/Makefile ===
#
# Makefile for the Debian FAQ
#
# Should work both for a manual in the Debian Documentation Project
# manuals.sgml tree, and for doc-debian package build.

manual := debian-faq

currentlang := $(notdir $(CURDIR))
currentlangcn := $(subst _,-,$(shell echo $(currentlang) | tr A-Z a-z))

# this can and will be overriden by a higher level makefile
PUBLISHDIR := /org/www.debian.org/www/doc/manuals

sources := $(manual).sgml faqstatic.ent ../faqdynamic.ent $(wildcard *.sgml)

export LANG=C
# stupid debiandoc stuff uses strings in another language otherwise

all: html text ps pdf

publish: all
	test -d $(PUBLISHDIR)/$(manual) || install -d -m 755 $(PUBLISHDIR)/$(manual)
	rm -f $(PUBLISHDIR)/$(manual)/*.$(currentlangcn).html
	install -p -m 644 $(manual).$(currentlang).html/*.html $(PUBLISHDIR)/$(manual)
	install -p -m 644 $(manual)*.txt $(manual)*.ps $(manual)*.pdf $(PUBLISHDIR)/$(manual)

faqstatic.ent:
	ln -sf ../$@ .

../faqdynamic.ent:
	cd .. && $(MAKE) faqdynamic.ent

validate:
	nsgmls -ges -wall $(manual).sgml

html: $(manual).$(currentlang).html/index.$(currentlangcn).html
$(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
	rm -rf $(manual).html $(manual).$(currentlang).html
	debiandoc2html -c -l $(currentlang) $<
	mv $(manual).html $(manual).$(currentlang).html

text: $(manual).$(currentlang).txt
$(manual).$(currentlang).txt: $(sources)
	debiandoc2text -l $(currentlang) $<
	mv $(manual).txt $(manual).$(currentlang).txt

$(manual).$(currentlang).info: $(sources)
	debiandoc2info -l $(currentlang) $<
# TODO: rename to .$(currentlang).info?

$(manual).$(currentlang).ps $(manual).$(currentlang).dvi $(manual).$(currentlang).pdf: \
  $(manual).$(currentlang).%: $(sources)
	debiandoc2latex$* -l $(currentlang) $<
	mv $(manual).$* $(manual).$(currentlang).$*

ps dvi pdf info: %: $(manual).$(currentlang).%

clean distclean:
	$(MAKE) -f ../Makefile currentlang=$(currentlang) cleanup

.PHONY: all publish clean distclean validate

=== debian/changelog ===
debian-faq (8.0ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Don't add "byhand" files as LP buildd's doesn't
      support them (fixes a "Failed to upload" error).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 29 Dec 2015 23:12:52 +0530

debian-faq (8.0) unstable; urgency=medium

  [ Javier Fernández-Sanguino ]
  * Bump up the version of the FAQ to the latest release, we have forgotten to
    do so in the last uploads
  * Update for the Jessie release:
    - faqstatic.ent: Update the number of packages and the release names
    - ftparchives.sgml: Add the names of the future releases (stretch), document
      the reason why the names come from Toy Story movies and add (in the comments)
      a semi-complete list of Toy Story names for all the movies
  * nexttime.sgml: More information on Release Goals, updating the
    documentation based on the goals that have been already accomplished. Also
    add the Security Hardening goal to the list, as this is actively worked on
    and has a huge impact on the users and system's security
  * Makefile: make sure faqdynamic.ent exists before validating the document
  * debian/source/format: Document this as a native package

  [ Beatrice Torracca ]
  * Updated Italian translation

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 01 May 2015 11:13:18 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,15 @@
  Joost van Baal <joostvb@debian.org>, Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: debiandoc-sgml, texlive (>= 2007-11), texlive-latex-extra,
- texlive-lang-cyrillic, latex-cjk-chinese,
+ texlive-lang-chinese, texlive-lang-cyrillic, texlive-lang-english,
+ texlive-lang-french, texlive-lang-german, texlive-lang-italian,
+ texlive-lang-other, texlive-lang-polish, texlive-lang-portuguese,
+ texlive-lang-spanish,
+ latex-cjk-chinese,
  latex-cjk-chinese-arphic-bkai00mp, latex-cjk-chinese-arphic-bsmi00lp,
  latex-cjk-chinese-arphic-gbsn00lp, latex-cjk-chinese-arphic-gkai00mp,
  ghostscript, po4a
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/debian-faq/
 Vcs-Svn: svn://svn.debian.org/ddp/manuals/trunk/debian-faq/
 Homepage: http://www.debian.org/doc/user-manuals#faq
@@ -22,7 +26,7 @@
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
 Conflicts: doc-debian (<= 3.1.5)
-Description: Debian FAQ
+Description: Debian Frequently Asked Questions
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -44,7 +48,7 @@
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: Debian FAQ, in German
+Description: Debian Frequently Asked Questions, in German
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -62,7 +66,7 @@
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: Debian FAQ, in French
+Description: Debian Frequently Asked Questions, in French
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -81,7 +85,7 @@
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: Debian FAQ, in Italian
+Description: Debian Frequently Asked Questions, in Italian
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -100,7 +104,7 @@
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: Debian FAQ, in Russian
+Description: Debian Frequently Asked Questions, in Russian
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -119,7 +123,7 @@
 Architecture: all
 Suggests: www-browser, postscript-viewer
 Depends: ${misc:Depends}
-Description: Debian FAQ, in Chinese
+Description: Debian Frequently Asked Questions, in Chinese
  In this package you will find the Debian GNU/Linux FAQ, which gives
  frequently asked questions (with their answers!) about the Debian distribution
  (Debian GNU/Linux and others) and about the Debian project.
@@ -132,5 +136,5 @@
  This is the translation in Chinese (as spoken in China) of the original English
  FAQ (available in the package debian-faq.)
 
-# $Id: control 9147 2012-03-17 17:11:44Z taffit $
+# $Id: control 10439 2014-10-15 20:57:01Z jfs $
 # $URL: svn+ssh://svn.debian.org/svn/ddp/manuals/trunk/debian-faq/debian/control $

=== debian/rules ===
--- 
+++ 
@@ -78,10 +78,4 @@
              ../
 	cd $(installdir)/FAQ/ && GZIP=-9 tar czf $(CURDIR)/../debian-faq.en.html.tar.gz *
 
-# list them in the .changes file, so that they'll get uploaded properly:
-	dpkg-distaddfile debian-faq.en.html.tar.gz byhand -
-	dpkg-distaddfile debian-faq.en.txt.gz byhand -
-	dpkg-distaddfile debian-faq.en.ps.gz byhand -
-	dpkg-distaddfile debian-faq.en.pdf.gz byhand -
-
 .PHONY: build clean binary binary-arch binary-indep

## debian-faq 8.1

=== debian/changelog ===
debian-faq (8.1) unstable; urgency=medium

  [ Joost van Baal-Ilić ]
  * faqinfo.sgml: update link to Choosing a Debian distribution FAQ, on request
    of its author Kamaraju Kusumanchi. Thanks Stéphane Blondon for reporting.
    (Closes: #809665)
  * basic_defs.sgml: add missing words. Thanks Simon Kainz for the patch.
    (Closes: #770926)
  * sofware.sgml: update to current status of djb's software (qmail, djbdns
    etc.) in Debian.  Text based upon idea of Stéphane Blondon.
    (Closes: #805318)

  [ victory ]
  * 2016-02-26: Update Japanese translation by Takuma Yamada, reviewed by
    victory.

  [ Holger Wansing ]
  * Convert German translation to po format
  * 2016-01-15: Update German translation to 100%, reviewed by Markus Hiereth
  * Fix several typos, missing dots and commas. (Closes: #788361)
  * Remove section about dependency based boot sequence. (Closes: #787153)
  * Update section "Debian and the kernel". (Closes: #599018)

  [ Lev "dogsleg" Lamberov ]
  * 2015-12-12: Update Russian translation

  [ Thomas Vincent ]
  * 2015-07-07: Updated French translation, proofread by Baptiste Jammet and
    Étienne Gilli

  [ Beatrice Torracca ]
  * 2016-01-17: Updated Italian translation

  [ Javier Fernández-Sanguino ]
  * Makefile: modify to take into account PO dependencies and build the text,
    html and other targets based on that. This makes it possible to build 
    the translated content properly without going through the 'all' target,
    which is useful for debugging.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 28 Aug 2016 13:19:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debian-faq
 Section: doc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
+Maintainer: Javier Fernandez-Sanguino Peña <jfs@debian.org>
 Uploaders: Josip Rodin <joy-packages@debian.org>, 
  Joost van Baal <joostvb@debian.org>, Simon Paillard <spaillard@debian.org>
 Build-Depends: debhelper (>= 5)

## debian-faq 8.1ubuntu1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,9 @@
 
 sources := $(manual).sgml faqstatic.ent faqdynamic.ent $(wildcard *.sgml)
 
-langs ?= ru pt_BR it pl es fr de uk zh_CN ja
+polangs = de fr it ja ru
+langs ?=  pt_BR pl es uk zh_CN $(polangs)
+pofiles := $(foreach lang, $(polangs), po4a/po/$(lang).po)
 
 export LANG=C
 # stupid debiandoc stuff uses strings in another language otherwise
@@ -46,14 +48,16 @@
 update-po: faqdynamic.ent
 	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a --force --previous --no-translations --rm-backups po4a/po4a.cfg
 
-po4a-translate: faqdynamic.ent
+
+po4a-translate: faqdynamic.ent $(pofiles)
 	PERL_PERTURB_KEYS=0 PERL_HASH_SEED=0 po4a --keep 0 --previous --rm-backups po4a/po4a.cfg # --localized-charset UTF-8
 	sed -i 's/<.*heading>//g' fr/*sgml
+	touch po4a-translate
 
 validate: faqdynamic.ent
 	nsgmls -ges -wall $(manual).sgml
 
-html: $(manual).$(currentlang).html/index.$(currentlangcn).html
+html: po4a-translate $(manual).$(currentlang).html/index.$(currentlangcn).html
 	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done
 
 $(manual).$(currentlang).html/index.$(currentlangcn).html: $(sources)
@@ -61,7 +65,7 @@
 	debiandoc2html -c -l $(currentlang) $<
 	mv $(manual).html $(manual).$(currentlang).html
 
-text: $(manual).$(currentlang).txt
+text: po4a-translate $(manual).$(currentlang).txt
 	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done
 
 $(manual).$(currentlang).txt: $(sources)
@@ -77,7 +81,7 @@
 	debiandoc2latex$* -l $(currentlang) $<
 	mv $(manual).$* $(manual).$(currentlang).$*
 
-ps dvi pdf info: %: $(manual).$(currentlang).%
+ps dvi pdf info: %: po4a-translate $(manual).$(currentlang).%
 	for lang in $(langs); do [ ! -d $$lang ] || $(MAKE) -C $$lang $@; done
 
 clean distclean: cleanup
@@ -88,6 +92,7 @@
 	rm -f $(patsubst %,$(manual)*.%,txt ps dvi pdf info* aux log man tex toc out tpt sasp*)
 	rm -f $(patsubst %,$(manual)*.%.gz,txt ps pdf)
 	rm -f faqdynamic.ent *~ .*~ core tsa* *.tmp $(manual).tpt
+	rm -f po4a-translate
 	[ ! -h faqstatic.ent ] || rm faqstatic.ent
 
-.PHONY: all publish clean cleanup distclean validate update-po po4a-translate
+.PHONY: all publish clean cleanup distclean validate update-po

=== debian/changelog ===
debian-faq (8.1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    -  debian/rules: Don't add "byhand" files as LP buildd's doesn't
      support them (fixes a "Failed to upload" error).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 02 Jan 2017 08:31:06 +0530
